For the complete documentation index, see llms.txt. This page is also available as Markdown.

Subscription

Connect to web socket

get
/v1/{category}/{endpoint}/subscribe

This endpoint will allow a connection upgrade to a websocket

Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Path parameters
categorystringRequired

Category of the endpoint to subscribe to

endpointstringRequired

Which endpoint to subscribe to

Responses
101

Websocket connection established.

get/v1/{category}/{endpoint}/subscribe
GET /api/v1/{category}/{endpoint}/subscribe HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Subscribe for updates

post
/v1/{category}/{endpoint}/subscribe
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
cookie
connectionstringRequired

Which connection to use

Example: websocket:2373d2d1-d22d-4b5a-8fef-67bffdd85aef
Path parameters
categorystringRequired

Category of the endpoint to subscribe to

endpointstringRequired

Which endpoint to subscribe to

Responses
201

Subscribed

No content

post/v1/{category}/{endpoint}/subscribe
POST /api/v1/{category}/{endpoint}/subscribe HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Last updated